
#include <avr/io.h>
#include <avr/interrupt.h>
#define F_CPU 16000000
#include <util/delay.h>

unsigned int frecv[8] = 
{
/*DO   RE   MI   FA   SOL  LA   SI   DO*/
119, 106, 94, 89, 79, 70, 63, 59
};

unsigned int pressed;




ISR(TIMER2_COMP_vect) 
{
       
                for (i = 0; i < 8; ++i)
                        if (!(PINC & _BV(i))) {
                                
										OCR1A = frecv[note];
                                        TCCR1A |= _BV(COM1A0);
                                        
                                        pressed = 1;
                                
                                }
                        }
				if (pressed == 0) 
					TCCR1A &=~_BV(COM1A0);
				
}


void  init()
{
       
        DDRD = _BV(PD8);		
        TCCR1A|=_BV(WGM10)|_BV(COM1A0); 
        TCCR1B|=_BV(WGM13)|_BV(CS12);
		
		/* Setting CTC mode */
        TCCR2A = _BV(WGM21);
        /* Setting the prescaler */
        TCCR2B |= _BV(CS22) | _BV(CS21) | _BV(CS20);
        /* Setting the OCR; every 10 ms */
        OCR2A = 156;
        /* Setting timer interrupts */
        TIMSK1 |= (1 << OCIE1A);;
}



int main()
{
	srand(1);
	TIMSK = 0;
	
	
	sei();

        init();
        
	 
        while(1)
        {
        /* Wait for interrupts */
        }  
	 
	return 0;
}
